Get Users by Apartment
GET /v1/reservations/users/apartment/{apartmentId}
Gets all users and authorized reservation resources that belongs to a given apartment.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
apartmentId string path parameter (required)
The apartment number as specified in VAKA on the user group.
includeReservationResources boolean path parameter (optional, default value: true)
Indicates if authorized reservation resources should be included (true) or not (false) on each user.
Response
200 OK
A list containing details about each user.
Body
userAccounts array of UserAccount objects
A list of UserAccount objects.
Show UserAccount attributes
Represents a user.
deviceId string(uuid)
Identifier of the VAKA system the user belongs to.
userId string(uuid)
Unique identifier of the user.
namestring
The name of the user.
email string
The email address connected to the user.
userGroupId string(uuid)
Identifier of the user group the user belongs to.
reservationResources array of string(uuid)
A list of reservation resource identifiers for each resource authorized to the user.
Last updated